<HTML>
<title>
   XML
</title>

<BODY>
<?php
   ini_set("display_errors", "off");
	/*Código para incluir las librerias*/
	include_once("../src/conexion.php");

	 //Conexión con el servidor
  $link=ConectarseServidor();

 //Conexión con la base de datos
  ConectarseBaseDatos($link);

 //realiza consulta a la base de datos
   $sql = "SELECT cedula, CONCAT(nombre,' ',apellido) nombre, direccion,celular FROM cliente"; 
				
  $result=mysql_query($sql,$link);

     //crea nombre del archivo xml
    $nomArchivo="Clientes.xml";
	$arch = fopen($nomArchivo,"w+");

	fwrite($arch,'<?xml version="1.0" encoding="UTF-8" standalone="yes"?>'."\n".
						'<clientes xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">'."\n");	
           	
	
    //impresion de datos obtenidos desde la BD
	 while($row = mysql_fetch_array($result)){
	 				   
			$cedula		= $row[0];
			$nombre		= $row[1];	   
			$direccion	= $row[2];
			$celular	= $row[3];
          
		   fwrite($arch,"\t".'<datos>'."\n". 						
						"\t\t".'<cedula>'.$cedula.'</cedula>'."\n".
						"\t\t".'<nombre>'.$nombre.'</nombre>'."\n".
						"\t\t".'<direccion>'.$direccion.'</direccion>'."\n".
						"\t\t".'<celular>'.$celular.'</celular>'."\n".
						"\t".'</datos>'."\n");	
              
		  
      }//fin del while	
     	fwrite($arch,'</clientes>');	
	 
	 
	 //cierra el archivo
	 fclose($arch);
	 
	 
     //libera memoria
 	mysql_free_result ($result);
	
	
	 $sbCadena =  "<script language='javascript'>";
	 $sbCadena .= "alert(  'Archivo clientes.xml Generado con Exito' )";
     $sbCadena .= "</script>";
     echo $sbCadena;
		 	
	//retorna a la pagina anterior
	$sbCadena = '<script>window.history.back();</script>';
	echo $sbCadena;

	/*Función para desconectarse de la base de datos*/
	desconectarse($link);//cierra la conexion


?>
</BODY>
</HTML>